Bug 1358622 (CVE-2016-6251) - REJECTED CVE-2016-6251 shadow-utils: Potentially unsafe use of getlogin
Summary: REJECTED CVE-2016-6251 shadow-utils: Potentially unsafe use of getlogin
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-6251
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1358629
Blocks: 1358628
TreeView+ depends on / blocked
 
Reported: 2016-07-21 07:42 UTC by Andrej Nemec
Modified: 2019-09-29 13:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-21 09:01:30 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-07-21 07:42:57 UTC
A vulnerability was found in shadow-utils. Function getlogin() relies on utmp, which is not a trusted base of information.

References:

http://seclists.org/oss-sec/2016/q3/111

CVE assignment:

http://seclists.org/oss-sec/2016/q3/115

Comment 1 Andrej Nemec 2016-07-21 08:00:42 UTC
Created shadow-utils tracking bugs for this issue:

Affects: fedora-all [bug 1358629]

Comment 2 Tomas Mraz 2016-07-21 08:40:49 UTC
No, the use of getlogin in shadow-utils is safe (it is used only to diferentiate the user if there are multiple users with the same uid -> same privileges anyway).
See this post which I agree with:
http://seclists.org/oss-sec/2016/q3/120

Comment 3 Andrej Nemec 2016-07-21 09:01:30 UTC
(In reply to Tomas Mraz from comment #2)
> No, the use of getlogin in shadow-utils is safe (it is used only to
> diferentiate the user if there are multiple users with the same uid -> same
> privileges anyway).
> See this post which I agree with:
> http://seclists.org/oss-sec/2016/q3/120

I agree too, closing this as notabug. Thanks for confirmation!

Comment 4 Andrej Nemec 2016-07-25 12:36:15 UTC
Upstream bug:

https://github.com/shadow-maint/shadow/issues/28


Note You need to log in before you can comment on or make changes to this bug.